;InnoSetupVersion=3.0.1

[Setup]
AppName=HDD Health
AppVerName=HDD Health v2.1 Beta
AppId=HDD Health
DefaultDirName={pf}\HDD Health
DefaultGroupName=HDD Health
OutputBaseFilename=hddh
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Win95\smartvsd.vxd"; DestDir: "{app}\Win95"; 
Source: "{app}\Win98\smartvsd.vxd"; DestDir: "{app}\Win98"; 
Source: "{app}\WinME\SMARTVSD.VXD"; DestDir: "{app}\WinME"; 
Source: "{app}\Readme.txt"; DestDir: "{app}"; 
Source: "{app}\alert.wav"; DestDir: "{app}"; 
Source: "{app}\hddhealth.chm"; DestDir: "{app}"; 
Source: "{app}\hddhealth.exe"; DestDir: "{app}"; Flags: restartreplace uninsrestartdelete 
Source: "{app}\Homepage.url"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{sys}\iosubsys\smartvsd,1.vxd"; DestDir: "{sys}\iosubsys"; DestName: "smartvsd.vxd"; MinVersion: 4.0.950,0.0; OnlyBelowVersion: 4.1.1998,0.0; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\iosubsys\smartvsd,2.vxd"; DestDir: "{sys}\iosubsys"; DestName: "smartvsd.vxd"; MinVersion: 4.1.1998,0.0; OnlyBelowVersion: 4.9.3000,0.0; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\iosubsys\smartvsd,3.vxd"; DestDir: "{sys}\iosubsys"; DestName: "smartvsd.vxd"; MinVersion: 4.9.3000,0.0; Flags: uninsneveruninstall restartreplace 

[Dirs]
Name: "{app}\Help"; 
Name: "{app}\Help\Pics"; 
Name: "{app}\Win95"; 
Name: "{app}\Win98"; 
Name: "{app}\WinME"; 

[Registry]
Root: HKCU; Subkey: "Software\MicroSoft\Windows\CurrentVersion\Run"; ValueName: "HDDHealth"; ValueType: String; ValueData: "{app}\HDDHealth.exe -wl"; Flags: uninsdeletevalue noerror 

[Run]
Filename: "{app}\hddhealth.exe"; WorkingDir: "{app}"; Description: "Launch application"; Flags: postinstall nowait

[Icons]
Name: "{group}\HDD Health"; Filename: "{app}\hddhealth.exe"; WorkingDir: "{app}"; 
Name: "{group}\Help"; Filename: "{app}\hddhealth.chm"; WorkingDir: "{app}"; IconFilename: "{app}\hddhealth.chm"; 
Name: "{group}\Homepage"; Filename: "{app}\Homepage.url"; WorkingDir: "{app}"; 
Name: "{group}\Backup utility"; Filename: "{app}\cbackup.url"; WorkingDir: "{app}"; 
Name: "{group}\License"; Filename: "{app}\License.txt"; WorkingDir: "{app}"; 
Name: "{group}\Readme"; Filename: "{app}\Readme.txt"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall"; Filename: "{app}\{uninstallexe}"; WorkingDir: "{app}"; IconFilename: "{app}\unins000.exe"; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}"; 
Type: files; Name: "{app}\*.*"; 
